> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Build and Email Report



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml post /api/content/v1/reportschedules/{scheduleId}/notifications/queue
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/{scheduleId}/notifications/queue:
    post:
      tags:
        - Scheduled Reports API
      summary: Queue Build and Email Report
      operationId: queueBuildAndEmailReport
      parameters:
        - in: path
          name: scheduleId
          required: true
          schema:
            type: integer
          description: ID of the schedule
      requestBody:
        description: Array of ReportRecipient objects
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ReportRecipient'
            examples:
              example:
                value:
                  - userId: 901234
                    displayName: John Doe
                    emailAddress: john.doe@example.com
      responses:
        '202':
          description: Accepted
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ReportRecipient:
      type: object
      properties:
        userId:
          type: integer
        displayName:
          type: string
        emailAddress:
          type: string
          format: email
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````